stages:
  - boman


image: docker:latest



services:
- docker:dind


boman-ai:
  stage: boman
  script:
    #- /usr/local/bin/python -m pip install --upgrade pip
    - apk add --no-cache python3 py3-pip
    - python3 --version
    - python3 -m pip install boman-cli #docker pull secfigo/bandit
    - boman-cli -a run
    #- bomanaicli -a test-saas
    #- bomanaicli -a test-docker#docker run --rm  -v $(pwd):/src secfigo/bandit bandit -r /src -f json -o /src/bandit-output.json
 # after_script:
  #  - python upload-results.py --host 10.0.1.20:8000 --api_key $DOJO_API_TOKEN --engagement_id 1 --result_file bandit-output.json  --username root --scanner "Bandit Scan"
  allow_failure: true
